Export compliance record
curl --request GET \
--url https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/compliance-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"export_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"checkpoints": [
{}
],
"reclassifications": [
{
"reclassification_id": "<string>",
"checkpoint_id": "<string>",
"agent_id": "<string>",
"original_type": "<string>",
"new_type": "<string>",
"reason": "<string>",
"score_impact": {
"previous_score": 123,
"new_score": 123,
"delta": 123
}
}
],
"card_amendments": [
{}
],
"score_history": [
{}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Reclassification
Export compliance record
Export a comprehensive compliance record for the agent including all checkpoints, reclassifications, card amendments, and score history.
GET
/
agents
/
{agent_id}
/
compliance-export
Export compliance record
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Agent identifier (e.g. smolt-abc123)
Query Parameters
Export format
Available options:
json, csv Start of time range
End of time range
⌘I